package kernel.com;

import java.util.Comparator;
import java.util.HashMap;
import java.util.TreeMap;

import kernel.VarIdentifier;

public class MailBox {

	HashMap<String, TreeMap<VarIdentifier, Message>> mbox;

	private Comparator<VarIdentifier> comparator;

	public MailBox(Comparator<VarIdentifier> comparator) {
		this.mbox = new HashMap<String, TreeMap<VarIdentifier, Message>>();
		this.comparator = comparator;
	}

	public void addMsgType(String msgType) {
		this.mbox.put(msgType, new TreeMap<VarIdentifier, Message>(this.comparator));
	}

}
