package kernel.events;

import kernel.AbstractAgent;

/**
 * Class AgentStateListener that implements the interface {@link AgentEventListener}
 */
public abstract class AgentStateListener implements AgentEventListener {
	/**
	 * The agent which changes its state
	 */
	public AbstractAgent myAgent;

	/**
	 * Constructs the listener
	 * 
	 * @param agent
	 *            the agent which changes its state
	 */
	public AgentStateListener(AbstractAgent agent) {
		this.myAgent = agent;
	}

}
