/*********************************************************************

 **********************************************************************/

package kernel.events;

/**
 * An interface for all implementations of variables and constraints events.
 */
public interface DisChocoEvent<E> {
	/**
	 * Get the touched object (the source of the event)
	 */
	public E getTouchedObject();

	public void propagateOneBasicEvent();

	public void clear();

	public boolean isActive();

}
