package kernel.vars.integer;

import simple.SimpleAgent;

/**
 * A class implements the minimal value heuristic for simple mode
 * 
 * 
 * @authors 
 * <a href="mailto:ezzahir@ensa-agadir.ac.ma?subject=DisChoco &cc=wahbi@lirmm.fr &cc=bessiere@lirmm.fr">
 * Redoaune Ezzahir</a> and 
 * <a href="mailto:wahbi@lirmm.fr?subject=DisChoco &cc=ezzahir@ensa-agadir.ac.ma &cc=bessiere@lirmm.fr">
 * Mohamed Wahbi</a>
 *
 */
public class MinIntValSelector implements IntValSelector {

	SimpleAgent myAgent;

	public MinIntValSelector(SimpleAgent agent) {
		this.myAgent = agent;
	}

	public int getNextValue() {
		return this.myAgent.var.getDomain().getInf();
	}

	public boolean hasNextValue() {
		return (this.myAgent.var.getDomainSize() > 0);
	}

}
