package simple.dcsp.abtfamily.abt.abtac;

import kernel.events.VariableEvent;
import simple.dcsp.abtfamily.abthyb.ABTHybAgent;
import util.VarEventMask;

public class ABTHybACAgent extends ABTHybAgent {

	public ABTHybACAgent(int agentId, String agName, String description) {
		super(agentId, agName, description);
	}

	// =============================================================================================================
	@Override
	public void configurePropagationEngine() {
		this.eventsConfig.get(VarEventMask.EXTERNAL_VAR_HIGHER_THAN_LOCAL_VAR).add(VariableEvent.INSTANCIATE);
		this.eventsConfig.get(VarEventMask.EXTERNAL_VAR_HIGHER_THAN_LOCAL_VAR).add(VariableEvent.DESINSTANCIATE);
		this.eventsConfig.get(VarEventMask.LOCAL_VAR_IS_THE_LAST).add(VariableEvent.RESTORE_VAL);
		this.eventsConfig.get(VarEventMask.LOCAL_VAR_IS_BETWEEN_L_H).add(VariableEvent.RESTORE_VAL);
		// AC
		this.eventsConfig.get(VarEventMask.LOCAL_VAR_IS_FIRST).add(VariableEvent.REMOVE_VAL);
		this.eventsConfig.get(VarEventMask.EXTERNAL_VAR_HIGHER_THAN_LOCAL_VAR).add(VariableEvent.REMOVE_VAL);
		this.constraintHandler.update();
	}

}
