package simple.dcsp.afcfamily.afc.bt;

import kernel.AbstractAgent;
import kernel.order.LexicographicAO;
import simple.dcsp.afcfamily.afc.AFCMaster;

public class AFCBackTriggeredMaster extends AFCMaster {

	public AFCBackTriggeredMaster() {
		super(true);
		this.setCentralizedAO(new LexicographicAO());
	}

	@Override
	public AbstractAgent makeAgent(int agId, String name, String description) {
		return new AFCBTtriggeredAgent(agId, name, description);
	}
}
