package simple.dcsp.afcfamily.afcng;

import java.util.ArrayList;
import java.util.Collection;
import simulation.parser.PVariable;

import kernel.AbstractAgent;
import kernel.AbstractMaster;

public class AFCngMaster extends AbstractMaster {

	public AFCngMaster() {
	}

	@Override
	public AbstractAgent makeAgent(int agentId, String agentName, String description) {
		return new AFCngAgent(agentId, agentName, description);
	}

	/* (non-Javadoc)
	 * @see kernel.AbstractMaster#makeAgent(simulation.parser.PVariable)
	 */
	@Override
	public AbstractAgent makeAgent(PVariable variable) {
		return new AFCngAgent(variable);
	}

	/* (non-Javadoc)
	 * @see kernel.AbstractMaster#getTypesOfMessages()
	 */
	@Override
	public Collection<String> getTypesOfMessages() {
		Collection<String> ans = new ArrayList<String>();
		ans.add(AFCngAgent.CPA);
		ans.add(AFCngAgent.NOGOOD);
		return ans;
	}
}
