package simple.dcsp.dba;

import kernel.AbstractAgent;
import kernel.StopException;
import kernel.com.Message;
import util.Commands;

public class DBATDisAO extends kernel.order.AgentOrdering {

	public DBATDisAO(AbstractAgent agent) {
		super(agent);
	}

	@Override
	public void processMessage(Message msg) throws StopException {
		if (msg.getType().equals(Commands.AO)) {
			super.processMessage(msg);
			boolean cyclic = Boolean.parseBoolean((String) msg.get("Cyclic?"));
			int maxDis = Integer.parseInt((String) msg.get("Max-Distance"));
			((DBAagent) this.myAgent).setGraphProprieties(this.getNumAgents(), maxDis, cyclic);
		}
	}

}
