package simulation.model.expressions;

import java.util.ArrayList;
import java.util.List;

import simulation.parser.PVariable;

public class IntVarExpression extends VariableExpression implements IntegerExpression {
	PVariable var;

	public IntVarExpression(PVariable var) {
		super(null);
		this.var = var;
	}

	@Override
	public List<VariableExpression> getVariableExpressions() {
		List<VariableExpression> list = new ArrayList<VariableExpression>();
		list.add(this);
		return list;
	}

	public PVariable getPVariable() {
		return this.var;
	}

	@Override
	public void removeTemporaryValue() {
		throw new UnsupportedOperationException();
	}

	@Override
	public void setTemporaryValue(Object val) {
		throw new UnsupportedOperationException();
	}

	@Override
	public Integer evaluate() {
		throw new UnsupportedOperationException();
	}

	@Override
	public String getSymbol() {
		return this.var.getName();
	}

	@Override
	public boolean isReady() {
		throw new UnsupportedOperationException();
	}

	@Override
	public String getFunctionalExpression(int fromIndex) {
		return "X" + fromIndex;
	}

	@Override
	public int getNbVariableExpression() {
		return 1;
	}

}
