package simulation.model.expressions;

import kernel.AbstractVar;

public abstract class VariableExpression implements Expression {

	AbstractVar var;

	public VariableExpression(AbstractVar var) {
		this.var = var;
	}

	public void setVariable(AbstractVar var) {
		this.var = var;
	}

	public AbstractVar getVariable() {
		return this.var;
	}

	public abstract void removeTemporaryValue();

	public abstract void setTemporaryValue(Object val);

}
