package gui.debug;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;

import javax.swing.JPanel;

public class DebugPanel extends JPanel {

	private static final long serialVersionUID = 1L;
	private JPanel principalPanel;

	/**
	 * This is the default constructor
	 */
	public DebugPanel() {
		super();
		initialize();
	}

	/**
	 * Initialize the class.
	 */
	private void initialize() {
		this.setLayout(new BorderLayout());
		this.add(getPrincipalPanel(), BorderLayout.CENTER);
		this.setMinimumSize(new Dimension(1024, 520));
		this.setMaximumSize(new Dimension(1024, 520));
		this.setPreferredSize(new Dimension(1024, 520));
	}

	/**
	 * Return the JFrameContentPane property value.
	 * 
	 * @return JPanel
	 */
	private JPanel getPrincipalPanel() {
		if (principalPanel == null) {
			principalPanel = new JPanel();
			principalPanel.setLayout(new BorderLayout());
			principalPanel.setBackground(Color.gray);
			// principalPanel.add(getWestPanel(), BorderLayout.WEST);
			// principalPanel.add(getEastPanel(), BorderLayout.CENTER);
		}
		return principalPanel;
	}

}
