package gui.graph.control;

/**
 * The listener interface for receiving visual state changes.
 * 
 * @author Mohamed Wahbi
 * 
 */
public interface VisualStateListener {

	/**
	 * Actions performed on visual state changes.
	 *
	 */
	void visualStateChanged();
	
	/**
	 * Actions performed on eliminating all visual effects.
	 *
	 */
	void visualChangesCancelled();
}

