package gui.graph.presentation;

/**
 * The listener interface for receiving graph elements state changes.
 * 
 * @author Mohamed Wahbi
 * 
 */
public interface ElementStateListener {

	/**
	 * Actions performed on position change.
	 */
	public void elementPositionChanged();
	
	/**
	 * Actions performed on structure change.
	 */
	public void elementStructureChanged();
	
}
