package gui.graph.presentation;

/**
 * The listener interface for receiving graph state changes.
 * 
 * @author Mohamed Wahbi
 * 
 */
public interface GraphStateListener {
	
	/**
	 * Actions performed on structure change.
	 */
	void structureChanged();
	
	/**
	 * Actions performed on position change.
	 */
	void positionChanged();

}
