package kernel.constraints.integer.explain;

import kernel.vars.integer.explain.ExplainedIntVar;

public interface Propagator {

	public void awakeOnDecSup(ExplainedIntVar var);

	public void awakeOnIncrInf(ExplainedIntVar var);

	public void awakeOnInst(ExplainedIntVar var);

	public void awakeOnDesInst(ExplainedIntVar var);

	public void awakeOnRemovals(ExplainedIntVar var);

	public void awakeOnRestores(ExplainedIntVar var);

}
