package kernel.vars.integer;

import simple.SimpleAgent;

public class RandomIntValSelector implements IntValSelector {

	SimpleAgent myAgent;

	public RandomIntValSelector(SimpleAgent agent) {
		this.myAgent = agent;
	}

	public int getNextValue() {
		return this.myAgent.var.getDomain().getRandomValue();
	}

	public boolean hasNextValue() {
		return (this.myAgent.var.getDomainSize() > 0);
	}

}
