package simple.dcsp;

import kernel.Constraint;

/**
 * An interface models a constraint in simple mode (i.e. when single variable per agent is used).
 * 
 * @author Redouane EZZHIR
 * 
 */
public interface SimpleConstraint extends Constraint {

	/**
	 * This method checks whether the variable's value is consistent or not.
	 * @return boolean : 
	 */
	public boolean isConsistent(int value);

}
