package simple.dcsp.abtfamily.abtdac;

import kernel.AbstractAgent;
import kernel.StopException;
import kernel.VarIdentifier;
import kernel.com.Message;
import kernel.com.MessageHandler;
import simple.dcsp.Nogood;
import util.Commands;

public class DelMsgHandler extends MessageHandler {

	final String CONDITIONAL_DEL = "C_D";

	public DelMsgHandler(AbstractAgent agent) {
		super(agent, Commands.DELETE);
	}

	@Override
	public void processMessage(Message msg) throws StopException {
		if (msg.contains(CONDITIONAL_DEL)) {
			Nogood ng = (Nogood) msg.get(CONDITIONAL_DEL);// Nogood.fromString(((String) msg.get(CONDITIONAL_DEL)));
			((ABTdacAgent) this.myAgent).valuesConditionallyDeleted(ng);
		}
	}

	public void sendConditionalDeldMsg(Nogood ng, VarIdentifier agId) {
		Message msg = this.createMessage();
		msg.setReceiverId(agId);
		msg.addContents(CONDITIONAL_DEL, ng.clone());
		this.myAgent.sendMessage(msg);
	}

}
