package simple.dcsp.afcfamily;

import kernel.AbstractAgent;
import kernel.StopException;
import kernel.com.Message;
import kernel.com.TerminateMsgHandler;
import kernel.events.AgentEvent;

public class TermMsgHandler extends TerminateMsgHandler {

	public TermMsgHandler(AbstractAgent agent) {
		super(agent);
	}

	@Override
	public boolean processTerminationDetection(Message msg) throws StopException {
		return false;
	}

	@Override
	public void handleAgentEvent(AgentEvent agentEvent) {
		if (agentEvent instanceof kernel.events.AgentFinishedEvent) {
			this.askMasterToTerminate(true);
		}
	}
}
