package simple.dcsp.afcfamily.afc.triggerednogood;

import kernel.AbstractAgent;
import kernel.order.LexicographicAO;
import simple.dcsp.afcfamily.afc.AFCMaster;

public class AFCTriggeredNogoodMaster extends AFCMaster {

	public AFCTriggeredNogoodMaster() {
		super(true);
		this.setCentralizedAO(new LexicographicAO());
	}

	@Override
	public AbstractAgent makeAgent(int agId, String name, String description) {
		return new AFCTriggeredNogoodAgent(agId, name, description);
	}
}
