package simple.dcsp.afcfamily.afcng.domDeg;

import kernel.AbstractAgent;
import kernel.order.MinDomOverDegAO;
import simple.dcsp.afcfamily.afcng.AFCngMaster;

public class AFCngDomDegMaster extends AFCngMaster {

	public AFCngDomDegMaster() {
		this.setCentralizedAO(new MinDomOverDegAO());
	}

	@Override
	public AbstractAgent makeAgent(int agentId, String agentName, String description) {
		return new AFCngDomDegAgent(agentId, agentName, description, AFCngDomDegAgent.DOM_DEG);
	}

}
