package simulation.model.expressions;

public class IntConstantExpression extends IntVarExpression {

	int constantValue;

	public IntConstantExpression(int constantValue) {
		super(null);
		this.constantValue = constantValue;
	}

	@Override
	public Integer evaluate() {
		return constantValue;
	}

	@Override
	public boolean isReady() {
		return true;
	}

	@Override
	public String getSymbol() {
		return "" + this.constantValue;
	}

	public String toString() {
		return "" + this.constantValue;
	}

	@Override
	public int getNbVariableExpression() {
		return 0;
	}

}
