package simulation.parser;

public class PPredicate extends PFunction {

	public PPredicate(String name, String formalParametersExpression, String functionalExpression) {
		super(name, formalParametersExpression, functionalExpression);
	}

	public String toString() {
		String s = "<predicate name=\"" + name + "\">\n";
		s += "\t\t\t<parameters>";
		s += this.formalParametersExpression;
		s += "</parameters>\n";
		s += "\t\t\t<expression>\n";
		s += "\t\t\t\t<functional>";
		s += functionalExpression;
		s += "</functional>\n";
		s += "\t\t\t</expression>\n";
		s += "\t\t</predicate>\n";
		return s;
	}
	
}
